if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook)
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");

	RTB_registerPref("Tumble Impact Enabled", "Tumble Impact", "$Pref::Server::TumbleImpactEnabled", "bool","Server_TumbleImpact", true, false, false);}

if ($Pref::Server::TumbleImpactEnabled $= "")
	$Pref::Server::TumbleImpactEnabled = true;

package Server_TumbleImpact
{
	function Armor::onImpact(%this, %obj, %col, %vec, %force)
	{
		if (!$Pref::Server::TumbleImpactEnabled || !$Pref::Server::FallingDamage)
			return Parent::onImpact(%this, %obj, %col, %vec, %force);

		if (!(%col.getType() & $TypeMasks::VehicleObjectType))
			tumble(%obj, %force * 2000);

		Parent::onImpact(%this, %obj, %col, %vec, 0);
	}
};
activatePackage(Server_TumbleImpact);